| Fast CDR Version 2.3.5 Fast CDR

Loading...
Searching...
No Matches
Exceptions
FastCDR Serializer API Reference

Exceptions used by the FastCDR API. More...

Collaboration diagram for Exceptions:

## Classes

class | BadOptionalAccessException
| This class is thrown as an exception when accessing the value of a null optional. More...
class | BadParamException
| This class is thrown as an exception when an invalid parameter is being serialized. More...
class | Exception
| This abstract class is used to create exceptions. More...
class | LockedExternalAccessException
| This class is thrown as an exception when accessing to set the value of a locked external. More...
class | NotEnoughMemoryException
| This class is thrown as an exception when the buffer's internal memory reachs its size limit. More...

## Detailed Description

Exceptions used by the FastCDR API.

All exceptions defined in this module are thrown by the FastCDR library.